XQVSS(1)

NAME
Xqvss - QVSS server for the X Window System

DESCRIPTION

This driver supports the QVSS and SM displays.

The QVSS hardware in the DEC VS2 is monochrome. The usable size is 864 lines by 1024 pixels/line. (Under some versions of Ultrix, the driver thinks the screen is 960 pixels wide; to fix this for a VR260 monitor, patch the kernel variable qv_def_scrn to 2 and rebuild the kernel.).

The SM hardware in the DEC VaxStation is functionally identical with the QVSS hardware, except for new cursor support and slightly different cabling.

Probably the most irritating problem with the QVSS hardware is the cursor support, which is limited to 16x16. As only ``and'' and ``or'' operations are available in the hardware, the driver inverts the cursor depending upon the pixels below the cursor. The server displays a reasonable cursor in most (but not all) circumstances. The SM hardware has better support — two planes instead of one; exactly what X needs.

Under Ultrix-32 release 1.1 and 4.2BSD, the window system will be slightly unreliable due to a kernel problem. Fixed in Ultrix32 release 1.2. Under Ultrix-32 1.1, your best bet is to use unix domain connections (unix:0 as host spec's) for local connections.

OPTIONS
-bp pixel-value    set default black-pixel color
-wp pixel-value    set default white-pixel color

The server also takes all of the standard server options (See Xserver(1) for a complete list.)

Performance needs to be better, but the server is usable; it uses the X11 portable monchrome framebuffer code. Look in contrib/server/speedups/donohue.shar for some ideas which could speed up this server.

SEE ALSO

Xserver(1), xinit(1), X(1)

COPYRIGHT
Copyright 1988, Massachusetts Institute of Technology.
See X(1) for a full statement of rights and permissions.

AUTHORS

Phil Karlton wrote the QVSS-specific pieces of X11; thanks to David Carver of the DEC Workstations group for work on X10.